import request from '/@/utils/request';

export function roomApi() {
	return {
		getRoomByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/selectSitePage',
				method: 'post',
				data: params
			});
		},

		addRoom: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/insert/insertSite',
				method: 'post',
				data: params
			});
		},

		modRoom: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/update/updateSite',
				method: 'post',
				data: params
			});
		},

		deleteRoomById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/delete/deleteSite',
				method: 'post',
				data: params
			});
		},

		getAllRoom: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listSite',
				method: 'get',
			});
		},

	};
}
